.search-form {
    padding-top: 5rem;

    .room-col {
        flex: 0 0 17rem;
        margin-right: 2.5rem;

        @media only screen and (min-width: 992px) and (max-width: 1199px) {
            flex: 0 0 15rem;
            margin-right: 1rem;
        }

        @media only screen and (min-width: 1200px) and (max-width: 1399px) {
            flex: 0 0 17rem;
            margin-right: 2rem;
        }

        @media (max-width: 767px) {
            flex: 0 0 100%;
            margin-right: 0;
        }

        @media (max-width: 992px) {
            margin-bottom: 2rem
        }

        p {
            text-align: left;
            font-family: $font;
            font-size: 1.6rem;
            font-weight: 700;
            font-style: normal;
            letter-spacing: normal;
            line-height: 2.2rem;

            @media (max-width: 767px) {
                text-align: center;
                margin-bottom: 1rem;
            }
        }

        select {
            width: 100%;
        }
    }

    .surface-col {
        margin-right: 2.5rem;

        @media only screen and (min-width: 1200px) and (max-width: 1399px) {
            margin-right: 2rem;
        }

        @media (max-width: 767px) {
            flex: 0 0 100%;
             margin-right: 0;

            .field__text {
                display: flex;

            }
        }

        @media (max-width: 992px) {
            margin-bottom: 2rem;
        }

        p {
            text-align: left;
            font-family: $font;
            font-size: 1.6rem;
            font-weight: 700;
            font-style: normal;
            letter-spacing: normal;
            line-height: 2.2rem;

            @media (max-width: 767px) {
                text-align: center;
                margin-bottom: 1rem;
            }
        }

        label {
            max-width: 15rem;
            display: inline-block;

            @media only screen and (min-width: 1200px) and (max-width: 1399px) {
                max-width: 13rem;
            }

            @media (max-width: 767px) {
                max-width: 100%;
            }

            &:first-child {
                margin-right: 1.5rem;

                @media (max-width: 767px) {
                    margin-right: .5rem;
                }
            }

            &:last-child {
                @media (max-width: 767px) {
                    margin-left: .5rem;
                }
            }

            input {
                width: 100%;
                border: .1rem solid #dfdfdf;
                display: flex;
                height: 5.3rem;
                padding: 0 1rem;
                font-size: 1.4rem;
                font-family: $font;
                color: $txt;

                @media only screen and (min-width: 768px) and (max-width: 1199px) {
                    height: 4rem;
                }
            }
        }
    }

    .type-col {
        flex: 0 0 17rem;
        margin-right: 2.5rem;

        @media only screen and (min-width: 992px) and (max-width: 1199px) {
            flex: 0 0 15rem;
            margin-right: 1rem;
        }

        @media only screen and (min-width: 1200px) and (max-width: 1399px) {
            flex: 0 0 17rem;
            margin-right: 2rem;
        }

        @media (max-width: 767px) {
            flex: 0 0 100%;
            margin-right: 0;
        }

        @media (max-width: 992px) {
            margin-bottom: 2rem;
        }

        p {
            text-align: left;
            font-family: $font;
            font-size: 1.6rem;
            font-weight: 700;
            font-style: normal;
            letter-spacing: normal;
            line-height: 2.2rem;

            @media (max-width: 767px) {
                text-align: center;
                margin-bottom: 1rem;
            }
        }

        select {
            width: 100%;
        }
    }

    .floor-col {
        flex: 0 0 17rem;
        margin-right: 2.5rem;

        @media only screen and (min-width: 992px) and (max-width: 1199px) {
            flex: 0 0 15rem;
            margin-right: 1rem;
        }

        @media only screen and (min-width: 1200px) and (max-width: 1399px) {
            flex: 0 0 17rem;
            margin-right: 2rem;
        }

        @media (max-width: 767px) {
            flex: 0 0 100%;
            margin-right: 0;
        }

        @media (max-width: 992px) {
            margin-bottom: 2rem;
        }



        p {
            text-align: left;
            font-family: $font;
            font-size: 1.6rem;
            font-weight: 700;
            font-style: normal;
            letter-spacing: normal;
            line-height: 2.2rem;

            @media (max-width: 767px) {
                text-align: center;
                margin-bottom: 1rem;
            }
        }

        select {
            width: 100%;
        }
    }

    .button-col {
        display: inline-flex;
        align-items: flex-end;

        @media (max-width: 767px) {
            flex: 0 0 100%;
            margin-right: 0;
            margin-bottom: 2rem;
        }

        @media only screen and (min-width: 768px) and (max-width: 1024px) {
            padding-bottom: 2rem;
        }

        @media only screen and (min-width: 768px) and (max-width: 1199px) {
            display: flex;
            width: 100%;
            padding-top: 3rem;
            justify-content: center;
        }

        button {
            width: 23.6rem;
            height: 5.3rem;
            border-radius: .4rem;
            background-color: #e8e8e8;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 0;
            outline: none;
            color: $txt;
            font-family: $font;
            font-size: 1.4rem;
            font-weight: 600;
            cursor: pointer;
            @include link;

            &:hover {
                background: $blue;
                color: $white;
            }

            @media only screen and (min-width: 768px) and (max-width: 1199px) {
                height: 4rem;
            }

            @media only screen and (min-width: 992px) and (max-width: 1199px) {
                width: 18rem;
            }

            @media only screen and (min-width: 1200px) and (max-width: 1230px) {
                width: 19rem;
            }

            @media only screen and (min-width: 1231px) and (max-width: 1399px) {
                width: 21rem;
            }

            @media (max-width: 992px) {
                width: 20rem;
            }

            @media (max-width: 767px) {
                width: 100%;
            }

        }
    }

    .select2-container--default .select2-selection--multiple {
        display: flex;
        align-items: center;
        padding: 0 1rem;
        border: .1rem solid #dfdfdf;
        border-radius: 0;
        height: 5.3rem;

        @media only screen and (min-width: 768px) and (max-width: 1199px) {
            height: 4rem;
        }

    }

    .select2-search {
        font-size: 1.4rem;
        font-family: $font;
        color: $txt;
    }

    .select2-container--default .select2-selection--multiple .select2-selection__choice {
        margin: 0;
    }

    .select2-container--default .select2-selection--multiple .select2-selection__choice__remove span {
        line-height: 100%;
    }

    .select2-container .select2-search--inline .select2-search__field {
        margin-left: 0;
    }
}

.search-list {
    @include rel-block;

    .search-empty {
        @include rel-block;
        margin: 5rem 0;
        font-size: 2rem;
        font-weight: 600;
        color: $txt;
        width: 100%;
        text-align: center;
    }

    .search-table-header {
        display: flex;
        flex-wrap: wrap;
        border-bottom: .1rem solid #2a2a2a;
        padding-bottom: 1rem;
        margin-top: 6rem;
        padding-right: 5.1rem;

        @media (max-width: 1199px) {
            display: none;
        }

        li {
            color: #2a2a2a;
            font-family: $font;
            font-size: 1.4rem;
            font-weight: 700;
            font-style: normal;
            letter-spacing: normal;
            line-height: 24px;
            flex-grow: 1;
            flex-basis: 0;

            &:nth-child(4) {
                flex: 0 0 18rem;
            }

            &:nth-child(6) {
                flex: 0 0 21rem;
            }

            &:nth-child(5) {
                flex: 0 0 18rem;
            }

            &:last-child {
                flex: 0 0 13.1rem;
            }
        }
    }


    .search-table-list {
        ul {
            display: flex;
            flex-wrap: wrap;

            @media (max-width: 767px) {
                @include rel-block;
                width: 100%;
                text-align: center;
            }

            li {
                color: $txt;
                font-family: $font;
                font-size: 1.4rem;
                font-weight: 400;
                font-style: normal;
                letter-spacing: normal;
                line-height: 24px;
                flex-grow: 1;
                flex-basis: 0;
                border-bottom: .1rem solid #e8e8e8;
                padding: 3rem 0;
                display: flex;
                align-items: center;

                @media (max-width: 767px) {
                    padding: 2rem;
                }

                span {
                    display: none;

                     @media (max-width: 1199px) {
                        display: block;
                        width: 100%;
                        text-align: center;
                        font-weight: bold;
                        margin-bottom: .5rem;
                        font-size: 1.3rem;
                     }
                }

                sup {
                    line-height: 1;
                    padding-bottom: 1rem;
                    font-size: 60%;
                }

                @media (min-width: 1200px) {

                    &:nth-child(4) {
                        flex: 0 0 18rem;
                    }

                    &:nth-child(5) {
                        flex: 0 0 18rem;
                    }

                    &:nth-child(6) {
                        flex: 0 0 21rem;
                    }
                }   

                @media (max-width: 1199px) {
                    @include rel-block;
                    width: 100%;
                    text-align: center;
                }

                a.price {
                    color: #183152;
                    display: inline-block;
                    position: relative;

                    &:after {
                        content: '';
                        position: absolute;
                        width: 100%;
                        transform: scaleX(0);
                        height: .1rem;
                        bottom: -.2rem;
                        left: 0;
                        background-color: #183152;
                        transform: scaleX(1);
                        transform-origin: bottom left;
                    }

                    &:hover {
                        color: #183152;

                        &:after {
                            transform: scaleX(0);
                            transform-origin: bottom left;
                        }
                    }
                }

                .pdf {
                    color: $txt;
                    font-family: Muli;
                    font-size: 1.4rem;
                    font-weight: 600;
                    font-style: normal;
                    letter-spacing: normal;
                    line-height: normal;
                    border: .1rem solid $blue;
                    @include link;
                    width: 13rem;
                    height: 4rem;
                    display: inline-flex;
                    align-items: center;
                    justify-content: center;

                    &:hover {
                        background: $blue;
                        color: $white;
                    }

                    @media only screen and (min-width: 768px) and (max-width: 1199px) {
                        width: 90%
                    }
                }

                &:last-child {
                    flex: 0 0 13.1rem;

                    @media (max-width: 768px) {
                    border-bottom: .1rem solid $blue;
                }
                }
            }
        }
    }
}
